package com.zcloud.domain.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.domain.domain.gateway.DomainDepartmentGateway;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:28:51
 */
@Component
@AllArgsConstructor
public class DomainDepartmentRemoveExe {
    private final DomainDepartmentGateway domainDepartmentGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = domainDepartmentGateway.deletedDomainDepartmentById(id);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = domainDepartmentGateway.deletedDomainDepartmentByIds(ids);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }
}

